package top.r3944realms.lib39.example.content.data;

import net.minecraft.resources.Identifier;
import net.minecraft.world.entity.Entity;
import top.r3944realms.lib39.Lib39;
import top.r3944realms.lib39.core.sync.SyncCapProvider;

public class TestSyncCapProvider extends SyncCapProvider<AbstractedTestSyncData> {

    @Override
    protected TestSyncData createEmptyCapability(Entity entity) {
        return new TestSyncData(entity.getId(), entity);
    }

    @Override
    protected Identifier getId() {
        return Lib39.rl("test_data");
    }

}
